	ORG	3BEH            ;Tabelle alla fine della pagina 3

;-----------------------------------------------------
;Tabella per caricare in TimeStep il tempo del singolo passo (per ciascuna fase),
;scelto da utente mediante valore 0..15 prelevato da Eeprom
TBL_TIMESTEP
	addwf	PCL,f

;       Valore TimeStep         Settaggio       Tempo fase              Tempo fase
;                               utente          (secondi)               reale (secondi)

        retlw   D'3'            ;0              10                      12
        retlw   D'5'            ;1              20                      21
        retlw   D'10'           ;2              40                      42
        retlw   D'14'           ;3              60   (1 min)            59
        retlw   D'28'           ;4              120  (2 min)            119
        retlw   D'42'           ;5              180  (3 min)            179
        retlw   D'56'           ;6              240  (4 min)            238
        retlw   D'70'           ;7              300  (5 min)            298
        retlw   D'85'           ;8              360  (6 min)            362
        retlw   D'99'           ;9              420  (7 min)            422
        retlw   D'113'          ;10             480  (8 min)            482
        retlw   D'127'          ;11             540  (9 min)            541
        retlw   D'141'          ;12             600  (10 min)           601
        retlw   D'169'          ;13             720  (12 min)           721
        retlw   D'211'          ;14             900  (15 min)           900
        retlw   D'255'          ;15             1200 (20 min)           1088 (18 min!)


;-----------------------------------------------------
;Tabella per caricamento valori default in EEprom (Luci Presepe)
TBL_EEDEFAULT
	addwf	PCL,f

        retlw   0x01            ;Tempo fasi 1..4
        retlw   0x02
        retlw   0x01
        retlw   0x02

        retlw   0x18            ;Andamento + Stati Lampada 1 fasi 1..4
        retlw   0x00
        retlw   0x00
        retlw   0x00

        retlw   0x10            ;Andamento + Stati Lampada 2 fasi 1..4
        retlw   0x04
        retlw   0x14
        retlw   0x00

        retlw   0x00            ;Andamento + Stati Lampada 3 fasi 1..4
        retlw   0x00
        retlw   0x18
        retlw   0x00

        retlw   0x14            ;Andamento + Stati Lampada 4 fasi 1..4
        retlw   0x00
        retlw   0x10
        retlw   0x04

        retlw   0x16            ;Andamento + Stati Lampada 5 fasi 1..4
        retlw   0x00
        retlw   0x12
        retlw   0x06

        retlw   0x00            ;Stati Random 5 rel per fasi 1..4
        retlw   0x00
        retlw   0x00
        retlw   0x00

        retlw   0x0F            ;Andamento 5 rel fase 1 passi 1..5
        retlw   0x0E
        retlw   0x0C
        retlw   0x08
        retlw   0x00

        retlw   0x10            ;Andamento 5 rel fase 2 passi 1..5
        retlw   0x10
        retlw   0x10
        retlw   0x10
        retlw   0x10

        retlw   0x00            ;Andamento 5 rel fase 3 passi 1..5
        retlw   0x01
        retlw   0x03
        retlw   0x07
        retlw   0x0F

        retlw   0x0F            ;Andamento 5 rel fase 4 passi 1..5
        retlw   0x0F
        retlw   0x0F
        retlw   0x0F
        retlw   0x0F

