	ORG	3BEH            ;Tabelle alla fine della pagina 3

;-----------------------------------------------------
;Tabella per caricare in TimeStep il tempo del singolo passo (per ciascuna fase),
;scelto da utente mediante valore 0..15 prelevato da Eeprom
TBL_TIMESTEP
	addwf	PCL,f

;       Valore TimeStep         Settaggio       Tempo fase              Tempo fase
;                               utente          (secondi)               reale (secondi)

        retlw   D'2'            ;0              10                      10
        retlw   D'4'            ;1              20                      20
        retlw   D'8'            ;2              40                      41
        retlw   D'12'           ;3              60   (1 min)            61
        retlw   D'24'           ;4              120  (2 min)            122
        retlw   D'35'           ;5              180  (3 min)            179
        retlw   D'47'           ;6              240  (4 min)            240
        retlw   D'59'           ;7              300  (5 min)            302
        retlw   D'70'           ;8              360  (6 min)            358
        retlw   D'82'           ;9              420  (7 min)            419
        retlw   D'94'           ;10             480  (8 min)            481
        retlw   D'106'          ;11             540  (9 min)            542
        retlw   D'117'          ;12             600  (10 min)           599
        retlw   D'141'          ;13             720  (12 min)           721
        retlw   D'176'          ;14             900  (15 min)           901
        retlw   D'234'          ;15             1200 (20 min)           1198


;-----------------------------------------------------
;Tabella per caricamento valori default in EEprom (Luci Presepe)
TBL_EEDEFAULT
	addwf	PCL,f

        retlw   0x01            ;Tempo fasi 1..4
        retlw   0x02
        retlw   0x01
        retlw   0x02

        retlw   0x18            ;Andamento + Stati Lampada 1 fasi 1..4
        retlw   0x00
        retlw   0x00
        retlw   0x00

        retlw   0x10            ;Andamento + Stati Lampada 2 fasi 1..4
        retlw   0x04
        retlw   0x14
        retlw   0x00

        retlw   0x00            ;Andamento + Stati Lampada 3 fasi 1..4
        retlw   0x00
        retlw   0x18
        retlw   0x00

        retlw   0x14            ;Andamento + Stati Lampada 4 fasi 1..4
        retlw   0x00
        retlw   0x10
        retlw   0x04

        retlw   0x16            ;Andamento + Stati Lampada 5 fasi 1..4
        retlw   0x00
        retlw   0x12
        retlw   0x06

        retlw   0x00            ;Stati Random 5 rel per fasi 1..4
        retlw   0x00
        retlw   0x00
        retlw   0x00

        retlw   0x0F            ;Andamento 5 rel fase 1 passi 1..5
        retlw   0x0E
        retlw   0x0C
        retlw   0x08
        retlw   0x00

        retlw   0x10            ;Andamento 5 rel fase 2 passi 1..5
        retlw   0x10
        retlw   0x10
        retlw   0x10
        retlw   0x10

        retlw   0x00            ;Andamento 5 rel fase 3 passi 1..5
        retlw   0x01
        retlw   0x03
        retlw   0x07
        retlw   0x0F

        retlw   0x0F            ;Andamento 5 rel fase 4 passi 1..5
        retlw   0x0F
        retlw   0x0F
        retlw   0x0F
        retlw   0x0F

